<table cellspacing="1" cellpadding="0" border="0">
{check $template_editor>0}
<tr>
	<td width="130">{="Template name"}:</td>
	<td colspan="4"><input type="text" name="config[templatename]" size="32" maxlength="255" value="{$config.templatename|htmlentities}" /> ({="letters and numbers only"})
</tr>
<tr>
	<td width="130">{="Template description"}:</td>
	<td colspan="4"><input type="text" name="config[templatetitle]" size="30" maxlength="255" value="{$config.templatetitle|htmlentities}" /> ({="for your reference only"})
</tr>

<tr><td colspan="5"><br /></td></tr>
{/check}
{if ($creating) && ($template_editor==0)}
<tr>
	<td>{="Username"}:</td>
	<td colspan="4">
		<input type="text" name="config[username]" size="12" maxlength="20" value="{$config.username|htmlentities}" /> {$errors.username|checkerror}
	</td>
</tr>
{/if}
{if $actual_privileged}
<tr>
	<td>{="Hostname"}:</td>
	<td colspan="4">
		<div style="float: right; color: #808080; margin-left: 15px">{="Server software: %s%s%s","<strong>",$servertype.title,"</strong>"}</div>
		<input type="text" name="config[hostname]" size="35" maxlength="255" value="{$config.hostname|htmlentities}" /> {$errors.hostname|checkerror}
	</td>
</tr>
{/if}
{check $actual_admin}
<tr>
	<td>{="IP address"}:</td>
	<td><input type="text" name="config[ipaddress]" size="16" maxlength="15" value="{$config.ipaddress|htmlentities}" /> {$errors.ipaddress|checkerror}</td>
	<td width="40">{="Port"}:</td>
	<td colspan="2">{if $template_editor}({="auto"}){else}<input type="text" name="config[port]" size="6" maxlength="5" value="{$config.port|htmlentities}" />{/if} {$errors.port|checkerror}</td>
</tr>
{otherwisecheck $actual_privileged}
<tr>
	<td>{="IP address"}:</td>
	<td style="font-weight: bold; padding: 3px">{if $creating}{$settings.defaultip}{else}{$config.ipaddress|htmlentities}{/if}</td>
	<td width="40">{="Port"}:</td>
	<td style="font-weight: bold; padding: 3px" colspan="2">{if ($creating) || ($template_editor)}({="auto"}){else}{$config.port|htmlentities}{/if}</td>
</tr>
{/check}

{if $actual_privileged}
<tr><td colspan="5"><br /></td></tr>
{/if}

{check $template_editor==0}
<tr>
	<td width="130">{="Stream title"}:</td>
	<td colspan="4"><input type="text" name="config[title]" size="50" maxlength="255" value="{$config.title|htmlentities}" /> {$errors.title|checkerror}</td>
</tr>
<tr>
	<td width="130">{="E-mail address"}:</td>
	<td colspan="4"><input type="text" name="config[email]" size="50" maxlength="255" value="{$config.email|htmlentities}" /> {$errors.email|checkerror}</td>
</tr>
<tr>
	<td>{="Company/organization"}:</td>
	<td colspan="4"><input type="text" name="config[organization]" size="50" maxlength="255" value="{$config.organization|htmlentities}" /> {$errors.organization|checkerror}</td>
</tr>
<tr>
	<td>{="Website URL"}:</td>
	<td colspan="4"><input type="text" name="config[url]" size="50" maxlength="255" value="{$config.url|htmlentities}" /> {$errors.url|checkerror}</td>
</tr>
<tr><td colspan="5"><br /></td></tr>
<tr>
	<td>{="Source password"}:</td>
	<td colspan="4"><input type="password" name="config[sourcepassword]" size="15" maxlength="32" value="{$config.sourcepassword|htmlentities}" /> {$errors.sourcepassword|checkerror}</td>
</tr>
<tr>
	<td>{="Administrator password"}:</td>
	<td colspan="4"><input type="password" name="config[adminpassword]" size="15" maxlength="32" value="{$config.adminpassword|htmlentities}" /> {$errors.adminpassword|checkerror}</td>
</tr>
<tr><td colspan="5"><br /></td></tr>
{/check}
<tr>
	<td>{="Time zone"}:</td>
	<td colspan="4">
		<select name="config[timezone]" size="1">
		<option value="127"{if $config.timezone==127} selected="selected"{/if}>{="Server default"} ({="GMT"} {if $defaulttimezone>0}+{elseif $defaulttimezone<0}-{/if}{check $defaulttimezone}{if ($defaulttimezone|abs<10)}0{/if}{$defaulttimezone|abs}:00{/check})</option>
		{loop $timezone=$timezones}
		<option value="{$timezone}"{if $timezone==$config.timezone} selected="selected"{/if}>{="GMT"} {if $timezone>0}+{elseif $timezone<0}-{/if}{check $timezone}{if ($timezone|abs<10)}0{/if}{$timezone|abs}:00{/check}</option>
		{/loop}
		</select>
	</td>
</tr>
<tr>
	<td>{="Character encoding"}:&nbsp;</td>
	<td colspan="4">
		<select name="config[charset]" size="1">
		{loop $charset=$charsets}
		<option value="{$_loop.key}"{if $_loop.key==$config.charset} selected="selected"{/if}>{$_loop.key}: {$charset}</option>
		{/loop}
		</select>
	</td>
</tr>
</table>

<script language="javascript" type="text/javascript">
function update_limits() {
	var dq = document.getElementById('diskquota');
	var ndq = document.getElementById('nodiskquota');
	var tl = document.getElementById('transferlimit');
	var ntl = document.getElementById('noxferlimit');
	
	if (dq) dq.disabled = (ndq && ndq.checked);
	if (tl) tl.disabled = (ntl && ntl.checked);
	
}
update_limits();
</script>
