
<table cellspacing="1" cellpadding="0" border="0">
<tr>
	<td width="130">{="Maximum bit rate"}:</td>
	<td colspan="2"><input type="text" name="config[maxbitrate]" size="5" maxlength="5" value="{$config.maxbitrate|htmlentities}" /> {$errors.maxbitrate|checkerror} {="kbps"} {tip type="icon"}{="Specifies the maximum bit rate that this reseller can assign to each<br />client account.  (Note that this is a per-client limit, not a combined total.)"}{/tip}</td>
</tr>
<tr>
	<td>{="Maximum accounts"}:</td>
	<td><input type="text" id="resellerusers" name="config[resellerusers]" size="5" maxlength="5" value="{$config.resellerusers|htmlentities}" /> {$errors.resellerusers|checkerror} {tip type="icon"}{="Specifies the maximum number of client accounts (i.e., streaming<br />servers) the reseller can create."}{/tip}</td>
	<td><input type="checkbox" id="nouserlimit" name="config[nouserlimit]" value="1" {compare $config.resellerusers,0,"checked='checked' ",""}onclick="update_limits(this)"/> {="Unlimited"}</td>
</tr>
<tr>
	<td>{="Disk quota"}:</td>
	<td><input type="text" id="diskquota" name="config[diskquota]" size="8" maxlength="8" value="{$config.diskquota|htmlentities}" /> {$errors.diskquota|checkerror} {="MB (soft quota)"}</td>
	<td>
		<input type="checkbox" id="nodiskquota" name="config[nodiskquota]" value="1" {compare $config.nodiskquota,0,"","checked='checked' "}onclick="update_limits(this)" /> {="Unlimited"}
	</td>
</tr>
<tr>
	<td>{="Listener slots (total)"}:</td>
	<td><input type="text" id="maxclients" name="config[maxclients]" size="5" maxlength="5" value="{$config.maxclients|htmlentities}" /> {$errors.maxclients|checkerror} {tip type="icon"}{="Specifies the total number of potential listeners this reseller can host.<br />This is a combined total limit for all client accounts created by this reseller."}{/tip}</td>
	<td><input type="checkbox" id="noclientlimit" name="config[noclientlimit]" value="1" {compare $config.maxclients,0,"checked='checked' ",""}onclick="update_limits(this)"/> {="Unlimited"}</td>
</tr>
<tr>
	<td>{="Data transfer limit"}:&nbsp;</td>
	<td><input type="text" id="transferlimit" name="config[transferlimit]" size="8" maxlength="8" value="{$config.transferlimit|htmlentities}" /> {$errors.transferlimit|checkerror} {="MB/month"} {tip type="icon"}{="Specifies a monthly data transfer limit (in megabytes) for this reseller account.<br /><br />If you want to limit traffic based on bandwidth (in kbps) instead, use the<br />'Bandwidth limit' option below."}{/tip}</td>
	<td><input type="checkbox" id="noxferlimit" name="config[noxferlimit]" value="1" {compare $config.noxferlimit,0,"","checked='checked' "}onclick="update_limits(this)"/> {="Unlimited"}</td>
</tr>
<tr>
	<td>{="Bandwidth limit"}:</td>
	<td><input type="text" id="resellerbandwidth" name="config[resellerbandwidth]" size="7" maxlength="7" value="{$config.resellerbandwidth|htmlentities}" /> {="kbps"} {$errors.resellerbandwidth|checkerror} {tip type="icon"}{="Specifies the total amount of bandwidth (in kbps -- NOT data transfer)<br />which this reseller can allocate.  This is an alternative to specifying<br />a data transfer limit.<br /><br />For example, 10 listener slots at 128kbps would use 1280kbps of bandwidth<br />(10 x 128 = 1280).  5 slots at 128kbps and 8 slots at 64kbps would use<br />1152kbps of bandwidth (5 x 128 + 8 x 64 = 1152).<br /><br />If you do not fully understand this feature, leave it set to 'Unlimited'<br />and assign limits for the values above instead."}{/tip}</td>

	<td><input type="checkbox" id="nobwlimit" name="config[nobwlimit]" value="1" {compare $config.resellerbandwidth,0,"checked='checked' ",""}onclick="update_limits(this)"/> {="Unlimited"}</td>
</tr>

<tr><td colspan="3"><br /></td></tr>
<tr>
	<td>{="AutoDJ capabilities"}:</td>
	<td colspan="2">
		<select name="config[usesource]" size="1">
		<option value="1"{if $config.usesource==1} selected="selected"{/if}>{="Permitted"}</option>
		<option value="0"{if $config.usesource==0} selected="selected"{/if}>{="Prohibited (streams MUST use an offsite source)"}</option>
		</select>
		
		{tip type="icon"}{="If enabled, your resellers' clients will be allowed to upload their media to your<br />server and use Centova Cast's autoDJ system to source their streams.  If<br />disabled, an off-site source (i.e., on the client's home PC) must be used instead."}{/tip}
	</td>
</tr>
<tr>
	<td>{="Port 80 proxies"}:</td>
	<td colspan="2">
		<select name="config[allowproxy]" size="1">
		<option value="1"{if $config.allowproxy==1} selected="selected"{/if}>{="Permitted"}</option>
		<option value="0"{if $config.allowproxy==0} selected="selected"{/if}>{="Prohibited"}</option>
		</select>
		{tip type="icon"}{="If enabled, your resellers' clients will be permitted to use Centova Cast's<br />port-80 proxy to access streams from behind restrictive firewalls.<br /><br />Note that enabling this feature may dramatically affect your server's performance<br />if used on busy streams; consult the documentation for more information."}{/tip}
	</td>
</tr>
</table>

<script language="javascript" type="text/javascript">
function update_limits(sender) {
	var dq = document.getElementById('diskquota');
	var ndq = document.getElementById('nodiskquota');
	var tl = document.getElementById('transferlimit');
	var ntl = document.getElementById('noxferlimit');
	
	var mc = document.getElementById('maxclients');
	var nmc = document.getElementById('noclientlimit');
	var ru = document.getElementById('resellerusers');
	var nru = document.getElementById('nouserlimit');
	var rb = document.getElementById('resellerbandwidth');
	var nrb = document.getElementById('nobwlimit');
	
	if (dq) dq.disabled = (ndq && ndq.checked);
	if (tl) tl.disabled = (ntl && ntl.checked);
	if (mc) mc.disabled = (nmc && nmc.checked);
	if (ru) ru.disabled = (nru && nru.checked);
	if (rb) rb.disabled = (nrb && nrb.checked);
	
	if (!nrb.checked && !ntl.checked) {
		if (sender==nrb) {
			tl.disabled = true;
			ntl.checked = true;
		} else {
			nrb.checked = true;
			rb.disabled = true;
		}
	}
	
}
update_limits(this);
</script>
