<script language="javascript" type="text/javascript">
window.playlistid = '{$playlistid}';

window.loctext = {
	'playlists_text': '{="Playlists"}',
	'playlist_modified_text': '{="You have not saved your changes to this playlist.  Click OK to discard your changes, or Cancel to return to this playlist to save your changes."}',
	'playlist_revert_text': '{="Are you sure you want to revert this playlist?  Click OK to discard your changes and revert to the original, or Cancel to resume editing this playlist."}',
	'media_text': '{="Media"}',
	'medialib_text': '{="Media Library"}',
	'albums_text': '{="Albums"}',
	'album_text': '{="Album"}',
	'all_genres_text': '{="All genres"}',
	'reindextip_title_text': '{="Update your Media Library"}',
	'reindextip_text': "{="Your media library is currently empty.  After you have uploaded your media, click the %sUpdate media library%s button at the bottom-right corner of the screen to allow Centova Cast to import your media.%sEach time you add more media to your library in future, you'll need to click %sUpdate media library%s again to add the new media to Centova Cast.","<em>","</em>","<br /><br />","<em>","</em>"}",
	'playlist_type_text': {
		'general': '{="General"}',
		'scheduled': '{="Scheduled"}',
		'interval': '{="Interval"}',
		'now': '{="Immediate"}'
	},
	'edit_artist': '{="Rename artist"}',
	'artist_name': '{="Artist name"}',
	
	'edit_album': '{="Rename album"}',
	'album_name': '{="Album name"}',
	
	'edit_track': '{="Rename track"}',
	'track_name': '{="Track name"}',
	
	'show_album_covers': '{="Show album covers"}',
	'import_m3u': '{="Import M3U playlist"}',
	'folder_view': '{="Browse by folders"}',
	
	'listen_to_preview': '{="Listen to preview"}',
	'enable_disable_playlist': '{="Enable/disable playlist"}'
};
window.artist_menu_items = new Array(
    [ window.loctext.edit_artist, function() { window.cclibrary.artists.edit_selected(); } ]
);
window.album_menu_items = new Array(
    [ window.loctext.edit_album,  function() { window.cclibrary.albums.edit_selected(); } ]
);
window.track_menu_items = new Array(
    [ window.loctext.edit_track,  function() { window.cclibrary.tracks.edit_selected(); } ],
    [ window.loctext.listen_to_preview, function() { window.cclibrary.tracks.preview(); } ]
);
window.playlists_menu_items = new Array(
    [ window.loctext.enable_disable_playlist, function() { window.cclibrary.playlists.toggle_selected(); } ]
);

window.medialib_menu_items = new Array(
    [ window.loctext.show_album_covers, function() { window.cclibrary.albums.toggle_covers(this); }, [ 'albumcovertoggle','checkbox','checked' ] ]
    {if $allow_import_m3u},[ window.loctext.import_m3u, function() { window.cclibrary.playlist.import_m3u(this); }, [ 'importm3u','disabled' ] ]{/if}
    {if $allow_folder_view}, [ window.loctext.folder_view, function() { window.cclibrary.toggle_folder_view(this); }, [ 'folderviewtoggle','checkbox' ] ]{/if}
);


window.showreindextip = {if $lastreindex==""}true{else}false{/if};
</script>

<!--
<div style="position: absolute; top: 10px; right: 90px; width: 300px; height: 55px; background-color: #FF9999; border: 1px solid #995555; padding: 5px" id="tookie"></div>
-->

<form method="post" action="index.php?page=playlisttracks" onsubmit="window.cclibrary.search(); return false">

	<div id="playlists" class="lbt" onselectstart="return false">
	</div>

		
	<div id="search" onselectstart="return false">

		<div style="float: right; text-align: right">
			<input type="button" value="Options" id="pulldownmenu" onclick="window.cclibrary.show_menu(this)"/>
		</div>

		<div id="searchform">
		{="Keyword"}: <input type="text" name="keyword" id="search_keyword" value="" style="width: 120px">
		<select name="searchtype" id="search_type" size="1">
		<option value="artists">{="Artists"}</option>
		<option value="albums">{="Albums"}</option>
		<option value="tracks">{="Tracks"}</option>
		<option value="all">{="All"}</option>
		</select>
		<select name="genre" id="genres" size="1" disabled="disabled">
		<option value="">{="Loading ..."}</option>
		</select>
		<input type="button" value="{="Search"}" onclick="window.cclibrary.search()" />

		</div>
	</div>
	
	<div id="panelshaded" class="trackscover panelnotloading">
	</div>
	<div id="panelloading" class="trackscover panelnotloading">
		<div id="panelloadingmsg">
			<span id="panelloading_load">{="Loading, please wait..."}</span>
			<span id="panelloading_save">{="Saving, please wait..."}</span><br />
			<img src="../system/images/loading.gif" alt="{="Please wait"}" />
		</div>
	</div>
		
	<div id="playlistsoptions">
		<img src="../system/images/icons/playlist_edit.png" alt="" align="absmiddle" /> <a href="index.php?page=playlists">{="Manage playlists"}</a>
	</div>
	
	
	<div id="librarypage">
			
		<div id="artists" class="lbt" onselectstart="return false">
		</div>
	
		<div id="albums" class="lbt" onselectstart="return false">
		</div>
	
		<div id="tracks" class="lbt" onselectstart="return false">
		</div>

		<div id="libraryoptions">
			<div style="float: right">
			
			<form>
			<input disabled="disabled" type="button" id="btn_preview" name="preview" value="{="Preview track(s)"}" onmouseup="return window.cclibrary.tracks.preview()" />
			<input type="button" value="{="Return to control panel"}" onclick="window.location='index.php'" />
			</form>				
			</div>

			<div>
				<a href="index.php?page=importmedia"><img border="0" alt="*" src="../system/images/icons/update_library.png" align="absmiddle" /></a> <a href="index.php?page=importmedia">{="Update media library"}</a> |
				
				{if $lastreindex!=""}
					{="Media library was last updated"} {$lastreindex|mysqldatetime:locale:date} {="at"} {$lastreindex|mysqldatetime:locale:time}.
				{else}
					{="Your media library has never been updated."}
				{/if}
			</div>

			
		</div>
	
	</div>
	
	<div id="folderpage">
		<div id="folders" class="tvt" onselectstart="return false">
		</div>
		
		<div id="folderoptions">
			<div style="float: right">
			
			<form>
			<input type="button" value="{="Return to control panel"}" onclick="window.location='index.php'" />
			</form>				
			</div>

			<div>
				<a href="index.php?page=importmedia"><img border="0" alt="*" src="../system/images/icons/update_library.png" align="absmiddle" /></a> <a href="index.php?page=importmedia">{="Update media library"}</a> |
				
				{if $lastreindex!=""}
					{="Media library was last updated"} {$lastreindex|mysqldatetime:locale:date} {="at"} {$lastreindex|mysqldatetime:locale:time}.
				{else}
					{="Your media library has never been updated."}
				{/if}
			</div>

			
		</div>		
	</div>
	
	<div id="playlistpage">
		<div id="playlist" class="lbt" onselectstart="return false">
		</div>
		
		<div id="playlistoptions">
			<form>
			<div style="float: right">
				{="%s in %s track(s)","<span id='tracktime'>00:00:00</span>","<span id='trackcount'>0</span>"}
				<input type="button" id="btn_save" name="save" value="{="Save"}" onmouseup="return window.cclibrary.playlist.savechanges()" onmouseover="return window.cclibrary.set_status('{="Save playlist changes"}')">
				<input type="button" id="btn_revert" name="revert" value="{="Revert"}" onmouseup="return window.cclibrary.playlist.revert()" onmouseover="return window.cclibrary.set_status('{="Revert playlist changes"}')">
			</div>
			<input disabled="disabled" type="button" id="btn_top" name="movetop" value="{="Top"}" onmouseup="return window.cclibrary.playlist.move_track(-2)" onmouseover="return window.cclibrary.set_status('{="Move track to top"}')">
			<input disabled="disabled" type="button" id="btn_up" name="moveup" value="{="Up"}" onmouseup="return window.cclibrary.playlist.move_track(-1)" onmouseover="return window.cclibrary.set_status('{="Move track up"}')">
			<input disabled="disabled" type="button" id="btn_down" name="movedown" value="{="Down"}" onmouseup="return window.cclibrary.playlist.move_track(1)" onmouseover="return window.cclibrary.set_status('{="Move track down"}')">
			<input disabled="disabled" type="button" id="btn_bottom" name="movebottom" value="{="Bottom"}" onmouseup="return window.cclibrary.playlist.move_track(2)" onmouseover="return window.cclibrary.set_status('{="Move track to bottom"}')">
			&nbsp;&nbsp;&nbsp;&nbsp;
			<input disabled="disabled" type="button" id="btn_remove" name="remove" value="{="Remove"}" onmouseup="return window.cclibrary.playlist.remove_track()" onmouseover="return window.cclibrary.set_status('{="Remove track from playlist"}')">
			</form>
		&nbsp;&nbsp;
		</div>		
	</div>
	
	<div id="tipbox" class="hide">
		<div id="tipbox_title"></div>
		<div id="tipbox_content"></div>
		<input type="button" id="tipbox_button" value="{="OK"}" />
	</div>

</form>
