<form method="post" action="{$_SERVER.REQUEST_URI}">
<script language="javascript" type="text/javascript">
function set_reencode(reencodeidx) {
	var el = document.getElementById('reencode_status');
	if (!el) return;

	var enabled = 1-el.selectedIndex;
	var reencode_elements = [ 'reencode_channels','reencode_samplerate','reencode_crossfade' ];
	for (var i=0; i<reencode_elements.length; i++) {
		el = document.getElementById(reencode_elements[i]);
		if (el) el.disabled = !enabled;
	}
}
</script>

{check $successful}
<div class="box">{="Settings updated successfully."}</div><br />
{otherwisecheck $failure}
<div class="box error">{if $failure_reason!=""}{$failure_reason}{else}{="An error occurred while attempting to update your settings."}{/if}</div><br />
{/check}

<div class="box">

<table cellspacing="1" cellpadding="1" border="0">
<tr><td colspan="2"><strong>{="General"}</strong></td></tr>
<tr>
	<td>{="Site name"}:</td>
	<td><input type="text" name="settings[sitename]" size="50" maxlength="255" value="{$settings.sitename|htmlentities}" /> {$errors.sitename|checkerror}</td>
</tr>
<tr>
	<td>{="Notification E-mail address"}:&nbsp;</td>
	<td>
		<input type="text" name="settings[notifyemail]" size="50" maxlength="255" value="{$settings.notifyemail|htmlentities}" /> {$errors.notifyemail|checkerror}
	</td>
</tr>
<tr><td></td><td class="info">{="Administrative notices will be sent to the above address."}</td></tr>
<tr>
	<td>{="Sender E-mail address"}:</td>
	<td>
		<input type="text" name="settings[senderemail]" size="50" maxlength="255" value="{$settings.senderemail|htmlentities}" /> {$errors.senderemail|checkerror}
	</td>
</tr>
<tr><td></td><td class="info">({="All outbound messages will use the above as a return address."})</td></tr>
<tr><td colspan="2"><br /><strong>{="Transfer Limits"}</strong></td></tr>
<tr>
	<td>{="Notify clients via E-mail when"}:</td>
	<td>
		<input type="text" name="settings[xferwarning]" size="3" maxlength="2" value="{$settings.xferwarning|htmlentities}" />% {$errors.xferwarning|checkerror} {="of data transfer limit is reached"}
	</td>
</tr>
<tr>
	<td>{="When transfer limit is exceeded"}:&nbsp;</td>
	<td>
		<select name="settings[xferexceed]" size="1">
		<option value="suspend"{if $settings.xferexceed=="suspend"} selected="selected"{/if}>{="Shutdown streaming server and suspend account"}</option>
		<option value="none"{if $settings.xferexceed=="none"} selected="selected"{/if}>{="Take no action"}</option>
		</select>
	</td>
</tr>
<tr>
	<td>{="When an account has been suspended"}:&nbsp;</td>
	<td>
		<select name="settings[autounsuspend]" size="1">
		<option value="1"{if $settings.autounsuspend>0} selected="selected"{/if}>{="Automatically unsuspend it the following month"}</option>
		<option value="0"{if $settings.autounsuspend==0} selected="selected"{/if}>{="Leave it suspended until unsuspended by an administrator"}</option>
		</select>
	</td>
</tr>
<tr>
	<td>{="Total data transfer limit for this server"}:</td>
	<td>
		<input type="text" name="settings[serverxferlimit]" size="10" maxlength="16" value="{$settings.serverxferlimit|htmlentities}" /> {$errors.serverxferlimit|checkerror} {="MB/month"}
	</td>
</tr>
<tr><td></td><td class="info">{="This is used only to display the server's data transfer usage graph on the administrator's accounts page."}</td></tr>


<tr><td colspan="2"><br /><strong>{="Disk Quota"}</strong></td></tr>
<tr>
	<td>{="Notify clients via E-mail when"}:</td>
	<td>
		<input type="text" name="settings[quotawarning]" size="3" maxlength="2" value="{$settings.quotawarning|htmlentities}" />% {$errors.quotawarning|checkerror} {="of disk quota is used"}
	</td>
</tr>
<tr>
	<td>{="When disk quota is exceeded"}:&nbsp;</td>
	<td>
		<select name="settings[quotaexceed]" size="1">
		<option value="suspend"{if $settings.quotaexceed=="suspend"} selected="selected"{/if}>{="Shutdown streaming server and suspend account"}</option>
		<option value="none"{if $settings.quotaexceed=="none"} selected="selected"{/if}>{="Take no action"}</option>
		</select>
	</td>
</tr>
<tr><td colspan="2"><br /><strong>{="Defaults"}</strong></td></tr>
<tr>
	<td>{="Default IP address for new servers"}:</td>
	<td>
		<input type="text" name="settings[defaultip]" size="15" maxlength="15" value="{$settings.defaultip|htmlentities}" />
	</td>
</tr>
<tr>
	<td>{="Port range for new servers"}:</td>
	<td>
		<input type="text" name="settings[portrangemin]" size="5" maxlength="5" value="{$settings.portrangemin|htmlentities}" /> -
		<input type="text" name="settings[portrangemax]" size="5" maxlength="5" value="{$settings.portrangemax|htmlentities}" />
	</td>
</tr>
<tr>
	<td>{="Default character encoding for new servers"}:</td>
	<td>
		<select name="settings[defaultcharset]" size="1">
		{loop $charset=$charsets}
		<option value="{$_loop.key}"{if $_loop.key==$settings.defaultcharset} selected="selected"{/if}>{$_loop.key}: {$charset}</option>
		{/loop}
		</select>
	</td>
</tr>
<tr>
	<td>{="Enable re-encoding on new servers"}:</td>
	<td>
		<select name="settings[defaultreencode]" size="1" onchange="set_reencode()" id="reencode_status">
		<option value="1"{if $settings.defaultreencode>0} selected="selected"{/if}>{="Yes, re-encode media to stream bit rate"}</option>
		<option value="0"{if $settings.defaultreencode==0} selected="selected"{/if}>{="No, disable re-encoding (if supported by source)"}</option>
		</select>
	</td>
</tr>
<tr>
	<td>{="Default channels for re-encoding"}:&nbsp;</td>
	<td>
		<select name="settings[defaultchannels]" size="1" id="reencode_channels">
		<option value="2"{if $settings.defaultchannels>1} selected="selected"{/if}>{="Stereo"}</option>
		<option value="1"{if $settings.defaultchannels==1} selected="selected"{/if}>{="Mono"}</option>
		</select>
	</td>
</tr>
<tr>
	<td>{="Default sample rate for re-encoding"}:&nbsp;</td>
	<td>
		{* Note: You can add custom sample rates by simply appending them to *}
		{* this list, separated by commas as shown. *}
		{set $samplerates}8000,11025,22050,32000,44100,48000,88200,96000{/set}
		
		<select name="settings[defaultsamplerate]" size="1" id="reencode_samplerate">
		{loop $samplerate=$samplerates|explode:",":1000}
		<option value="{$samplerate}"{if $settings.defaultsamplerate==$samplerate} selected="selected"{/if}>{="%s Hz",$samplerate}</option>
		{/loop}
		</select> {$errors.samplerate|checkerror}
	</td>
</tr>
<tr>
	<td>{="Default crossfade length for re-encoding"}:&nbsp;</td>
	<td><input id="reencode_crossfade" type="text" name="settings[defaultcrossfade]" size="5" maxlength="5" value="{$settings.defaultcrossfade|htmlentities}" /> {$errors.crossfade|checkerror} {="second(s)"} ({="0 to disable"})</td>
</tr>

<tr><td colspan="2"><br /><strong>{="Start Pages"}</strong></td></tr>
<tr>
	<td>{="Import album cover images when available"}:&nbsp;</td>
	<td>
		<select name="settings[importimages]" size="1">
		<option value="1"{if $settings.importimages>0} selected="selected"{/if}>{="Yes"}</option>
		<option value="0"{if $settings.importimages==0} selected="selected"{/if}>{="No"}</option>
		</select>
	</td>
</tr>
<tr><td></td><td class="info">{="Imports images from folder.jpg, albumartsmall.jpg, and MP3 ID3 tags. %sClick here%s for more information.","<a style='color: #909090' href='http://www.centova.com/pages/faqs/display/can_i_display_my_own_cover_art_94' target='_blank'>","</a>"}</td></tr>

<tr>
	<td>{="Amazon Web Services%s Access Key ID","&reg;"}:</td>
	<td>
		<input type="text" name="settings[amazonawskeyid]" size="50" maxlength="255" value="{$settings.amazonawskeyid|htmlentities}" />
	</td>
</tr>
<tr><td></td><td class="info">{="Allows automated retrieval of album covers and affiliate sales.  %sClick here%s to generate your key.","<a style='color: #909090' href='http://aws.amazon.com' target='_blank'>","</a>"}</td></tr>
<tr>
	<td>{="Amazon Web Services%s Secret Key","&reg;"}:</td>
	<td>
		<input type="text" name="settings[amazonsecretkey]" size="50" maxlength="255" value="{$settings.amazonsecretkey|htmlentities}" />
	</td>
</tr>
<tr><td></td><td class="info">{="Used in conjunction with the Access Key ID above."}</td></tr>
<tr>
	<td>{="Default Amazon%s affiliate ID","&reg;"}:</td>
	<td>
		<input type="text" name="settings[amazondefaffid]" size="30" maxlength="255" value="{$settings.amazondefaffid|htmlentities}" />
	</td>
</tr>
<tr><td></td><td class="info">{="Allows you (the hosting provider) to collect affiliate sales credits if the client does not configure his own Amazon%s affiliate ID.","&reg;"}</td></tr>
<tr>
	<td>{="Allow client-specified Amazon%s affiliate IDs","&reg;"}:&nbsp;</td>
	<td>
		<select name="settings[amazonclientaffids]" size="1">
		<option value="0"{if $settings.amazonclientaffids==0} selected="selected"{/if}>{="No"}</option>
		<option value="1"{if $settings.amazonclientaffids>0} selected="selected"{/if}>{="Yes"}</option>
		</select>
	</td>
</tr>
<tr><td></td><td class="info">{="If enabled, clients can provide their own affiliate IDs to collect credit for affiliate sales.  If disabled, only the default affiliate ID above will be used.","&reg;"}</td></tr>


<tr><td colspan="2"><br /><strong>{="Features"}</strong></td></tr>

<tr>
	<td>{="Google Maps%s API key","&reg;"}:</td>
	<td>
		<input type="text" name="settings[googlemapsapikey]" size="50" maxlength="255" value="{$settings.googlemapsapikey|htmlentities}" />
	</td>
</tr>
<tr><td></td><td class="info">{="Allows realtime geographic mapping of listener locations for each stream.  %sClick here%s to generate your key.","<a style='color: #909090' href='http://code.google.com/apis/maps/signup.html' target='_blank'>","</a>"}</td></tr>

<tr>
	<td>{="Enable port 80 proxying"}:&nbsp;</td>
	<td>
		<select name="settings[usewebproxy]" size="1">
		<option value="0"{if $settings.usewebproxy==0} selected="selected"{/if}>{="No"}</option>
		<option value="1"{if $settings.usewebproxy>0} selected="selected"{/if}>{="Yes"}</option>
		</select>
	</td>
</tr>
<tr><td></td><td class="info">{="Allows listeners to tune in even behind restrictive firewalls; %sread warning here%s before enabling.","<a style='color: #909090' href='http://www.centova.com/pages/faqs/display/does_centova_cast_include_a_40' target='_blank'>","</a>"}</td></tr>
<tr>
	<td>{="Allow server log downloads"}:&nbsp;</td>
	<td>
		<select name="settings[allowlogdownload]" size="1">
		<option value="0"{if $settings.allowlogdownload==0} selected="selected"{/if}>{="No"}</option>
		<option value="1"{if $settings.allowlogdownload>0} selected="selected"{/if}>{="Yes"}</option>
		</select>
	</td>
</tr>
<tr><td></td><td class="info">{="Allows users to download their streaming server/source logs in ZIP or tarball format.  Note that log compression is very CPU-intensive."}</td></tr>


<tr><td colspan="2"><br /><strong>{="Single Sign-on"}</strong></td></tr>

<tr>
	<td>{="Allow this server to be controlled remotely"}:&nbsp;</td>
	<td>
		<select name="settings[allowsso]" size="1">
		<option value="0"{if $settings.allowsso==0} selected="selected"{/if}>{="No"}</option>
		<option value="1"{if $settings.allowsso>0} selected="selected"{/if}>{="Yes"}</option>
		</select>
	</td>
</tr>
<tr>
	<td>{="Provisioning server for API clustering"}:&nbsp;</td>
	<td>
		<select name="settings[apiclusterdefault]" size="1">
		<option value="-1"{if $settings.apiclusterdefault<0} selected="selected"{/if}>{="The server with the fewest accounts"}</option>
		<option value="0"{if $settings.apiclusterdefault==0} selected="selected"{/if}>{="This server (%s)",$_SERVER.HTTP_HOST}</option>
		{loop $remoteserver=$remoteservers}
		<option value="{$remoteserver.id}"{if $settings.apiclusterdefault==$remoteserver.id} selected="selected"{/if}>{="Server %s",$remoteserver.title}</option>
		{/loop}
		</select>
	</td>
</tr>
<tr><td></td><td class="info">{="This setting is used only when API clustering is enabled, and does not affect accounts created manually."}</td></tr>

<tr><td colspan="2">
	<br />
	<strong>{="E-mail Settings"}</strong><br />
	<span class="info">({="Required only if you need to use an SMTP server."})</span>
</td></tr>


<tr>
	<td>{="SMTP server"}:</td>
	<td><input type="text" name="settings[smtphost]" value="{$settings.smtphost}" size="30" maxlength="128" /></td>
</tr>
<tr>
	<td>{="SMTP port"}:</td>
	<td><input type="text" name="settings[smtpport]" value="{$settings.smtpport}" size="6" maxlength="5" /></td>
</tr>
<tr>
	<td>{="SMTP username"}:</td>
	<td><input type="text" name="settings[smtpuser]" value="{$settings.smtpuser}" size="15" maxlength="128" /></td>
</tr>
<tr>
	<td>{="SMTP password"}:</td>
	<td><input type="password" name="settings[smtppass]" value="{$settings.smtppass}" size="15" maxlength="128" /></td>
</tr>

</table>

</div>

<br />

<div style="float: right">
<input type="submit" name="emailtest" value="{="E-mail test"}" />
<input type="button" value="{="Licensing test"}" onclick="window.location='index.php?page=diagnostics&type=license'" />
<input type="button" value="{="Change administrator password"}" onclick="window.location='index.php?page=adminpassword'" />
</div>

<input type="submit" name="update" value="{="Update"}" />
</form>

<script language="javascript" type="text/javascript">
set_reencode();
</script>