<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8" />
	<title>{$title}</title>
	{$head}
	<link rel="stylesheet" type="text/css" href="../theme/style.css" />
	<!--[if lte IE 6]><link rel="stylesheet" type="text/css" href="../theme/ie6.css" /><![endif]-->
	{if $wide}<link rel="stylesheet" type="text/css" href="../theme/wide.css" />{/if}
</head>
<body>

<div id="header">
	{if $admin==0}<div id="tunein" onclick="tune_in()"></div>{/if}
	<div id="logo"{if $resellerlogo} style="background-image: url(logo.php?reseller={$resellerlogo})"{/if}></div>
</div>

{$preamble}

<div id="navigation">
	{$navigation}
</div>

<div id="content">
	<div class="block">
		<div class="heading" style="background-image: url(../theme/images/heading-main-{$mainheading}.png)"></div>
		<div class="content">
			{$content}			
		</div>
	</div>
</div>

<div id="footer">
	<div class="content">
		{check $privileged>0}
		<div style="float: right">Centova Cast v{$_CONSTANTS.PRODUCT_VERSION} | {="Copyright"} 2006-{$_|gettime:formatted:Y}, <a href="http://www.centova.com">Centova Technologies Inc.</a></div>
		<a href="{$selfuri}">{="Home"}</a>{if $admin>0} | <a target="_blank" href="http://www.centova.com/pages/cast">{="Support"}</a> | <a href="{$selfuri}?page=about">{="About"}</a>{/if}
		{otherwise}		
		<div style="float: right">
			<strong{if $serviceonline==0} class="transparent"{/if}>{="Tune In"}:</strong>&nbsp; {$tunein}
		</div>
		<img src="../system/images/icons/music.png" alt="*" align="absmiddle" /> {$currentsong}
		{/check}
	</div>
</div>

</body>
</html>